Skip to main content
`Ctrl`+`K`

# PetscFEPushforwardHessian

Map the reference element function Hessian to real space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEPushforwardHessian(PetscFE fe, PetscFEGeom *fegeom, PetscInt Nv, PetscScalar vals[])

## Input Parameters

- fe - The `PetscFE`

- fegeom - The cell geometry

- Nv - The number of function Hessian values

- vals - The function Hessian values

## Output Parameter

- vals - The transformed function Hessian values

## Notes

This just forwards the call onto `PetscDualSpacePushforwardHessian()`.

It only handles transformations when the embedding dimension of the geometry in fegeom is the same as the reference dimension.

## Developer Notes

It is unclear why all these one line convenience routines are desirable

## See Also

`PetscFE`, `PetscFEGeom`, `PetscDualSpace`, `PetscFEPushforward()`, `PetscDualSpacePushforwardHessian()`, `PetscDualSpacePushforward()`

## Level

advanced

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages